=== debian/changelog ===
ros-humble-as2-platform-dji-osdk (1.0.4-1jammy) jammy; urgency=high

  * Merge pull request #318 <https://github.com/aerostack2/aerostack2/issues/318> from aerostack2/jenkins-build
    fixing jenkins build failures
  * fixing jenkins build failures
  * Contributors: pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 22:00:00 -0000

ros-humble-as2-platform-dji-osdk (1.0.3-1jammy) jammy; urgency=high

  * Merge pull request #317 <https://github.com/aerostack2/aerostack2/issues/317> from aerostack2/316-tf2_geometry_msgs-dep
    Only use tf2_geometry_msgs library when needed
  * only use library when needed
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 22:00:00 -0000

ros-humble-as2-platform-dji-osdk (1.0.2-1jammy) jammy; urgency=high

  * Merge pull request #315 <https://github.com/aerostack2/aerostack2/issues/315> from aerostack2/uplink_reliable
    [as2_platform_dji_osdk] Links qos subscritions changed to reliable
  * subs qos changed to reliable
  * Merge pull request #309 <https://github.com/aerostack2/aerostack2/issues/309> from aerostack2/mop_channel
    [as2_platform_dji_osdk] Mop channel communication
  * Several commits
  * Merge pull request #303 <https://github.com/aerostack2/aerostack2/issues/303> from aerostack2/dji_gimbal_test
    [as2_platform_dji_osdk] Add gimbal and camera trigger support
  * Change camera mode
  * [feat] take images
  * dji gimbal topic
  * Merge pull request #299 <https://github.com/aerostack2/aerostack2/issues/299> from aerostack2/298-as2_platform_dji_osdk-take-off-delay-to-wait-to-be-done
    [as2_platform_dji_osdk] Add take off sleep to wait until it has finished
  * Add take off sleep
  * Merge pull request #297 <https://github.com/aerostack2/aerostack2/issues/297> from aerostack2/252-as2_platform_dji_osdk-add-camera-support
    [as2_platform_dji_osdk] Add camera interface with ROS 2
  * Add camera info params
  * parameters for enabling camera
  * image transport into the platform
  * camera image obtained
  * Merge pull request #237 <https://github.com/aerostack2/aerostack2/issues/237> from aerostack2/unify_platform_launchers
    Unify launchers
  * Unify platform launchers
  * Contributors: AGX Xavier 1, Javier Melero, Javilinos, Miguel, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 22:00:00 -0000

ros-humble-as2-platform-dji-osdk (1.0.1-1jammy) jammy; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Merge pull request #212 <https://github.com/aerostack2/aerostack2/issues/212> from aerostack2/211-nodes-should-use-aerostack2-node-create-timer-method-not-create-wall-timer
    Nodes use Aerostack2 Node Create Timer method, not create wall timer
  * Change create wall timer to as2 create timer
  * Contributors: Miguel Fernandez-Cortizas, RPS98, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 22:00:00 -0000

ros-humble-as2-platform-dji-osdk (1.0.0-1jammy) jammy; urgency=high

  * Merge pull request #149 <https://github.com/aerostack2/aerostack2/issues/149> from aerostack2/148-add-missing-licenses
    Updated liceses and description
  * updated liceses and description
  * Merge pull request #144 <https://github.com/aerostack2/aerostack2/issues/144> from aerostack2/136-as2_platform_dji_osdk-add-dji-m200-and-m300-support-using-dji-osdk
    as2 platform dji osdk add dji m200 and m300 support using dji osdk
  * Use aerostack fork
    >
    >
    Co-authored-by: Miguel Fernandez <mailto:miferco97@gmail.com>
  * Remove gps utils package dependence
  * Remove GeographicLib dependence
  * DJI tested in simulation
  * use has_new_references attribute before sending command
  * 1st integration
  * first iteration before sync with main
  * Contributors: Miguel, RPS98, Rafael Pérez, pariaspe

 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Fri, 17 Mar 2023 23:00:00 -0000

ros-humble-as2-platform-dji-osdk (0.2.2-1jammy) jammy; urgency=high



 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Wed, 21 Dec 2022 23:00:00 -0000

ros-humble-as2-platform-dji-osdk (0.2.1-1jammy) jammy; urgency=high



 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Sun, 18 Dec 2022 23:00:00 -0000
